<?php

/**
 * @file
 * Post update functions for Inline Translation module.
 */

use Drupal\user\Entity\Role;

/**
 * Add the 'use inline translation' permission to all roles.
 */
function inline_translation_post_update_add_permission() {
  /** @var \Drupal\user\Entity\Role $role */
  foreach (Role::loadMultiple() as $role) {
    if ($role->id() !== Role::ANONYMOUS_ID) {
      // Note this permission does not give the user edit or create access. In
      // order to do that they need other permissions.
      $role->grantPermission('use inline translation')->save();
    }
  }
}
